#import "~/graphql_shared/fragments/pageInfo.fragment.graphql"
#import "../fragments/vulnerability_location.fragment.graphql"

query pipelineFindings(
  $fullPath: ID!
  $pipelineId: ID!
  $first: Int
  $last: Int
  $before: String
  $after: String
  $severity: [String!]
  $reportType: [String!]
  $scanner: [String!]
  $state: [VulnerabilityState!]
  $vetEnabled: Boolean = false
) {
  project(fullPath: $fullPath) {
    id
    pipeline(iid: $pipelineId) {
      id
      securityReportFindings(
        before: $before
        after: $after
        first: $first
        last: $last
        severity: $severity
        reportType: $reportType
        scanner: $scanner
        state: $state
      ) {
        nodes {
          uuid
          name
          description
          falsePositive @include(if: $vetEnabled)
          confidence
          identifiers {
            externalType
            name
          }
          reportType
          scanner {
            id
            vendor
          }
          state
          severity
          solution
          location {
            ...VulnerabilityLocation
          }
        }
        pageInfo {
          ...PageInfo
        }
      }
    }
  }
}
